# Uses of Interface
org.eclipse.birt.report.model.api.IDesignEngine

Packages that use IDesignEngine
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of IDesignEngine in org.eclipse.birt.report.model.api

Classes in org.eclipse.birt.report.model.api that implement IDesignEngine
Modifier and Type
Class
Description
`final class`
`DesignEngine`
Represents the BIRT design engine as a whole.
Fields in org.eclipse.birt.report.model.api declared as IDesignEngine
Modifier and Type
Field
Description
`protected IDesignEngine`
DesignEngine.`engine`
The implementation of the design engine.
Methods in org.eclipse.birt.report.model.api that return IDesignEngine
Modifier and Type
Method
Description
`IDesignEngine`
IDesignEngineFactory.`createDesignEngine(DesignConfig config)`
Creates a new design engine object.

## Uses of IDesignEngine in org.eclipse.birt.report.model.api.impl

Classes in org.eclipse.birt.report.model.api.impl that implement IDesignEngine
Modifier and Type
Class
Description
`class`
`DesignEngineImpl`
Implementation of DesignEngine.
Methods in org.eclipse.birt.report.model.api.impl that return IDesignEngine
Modifier and Type
Method
Description
`IDesignEngine`
DesignEngineFactory.`createDesignEngine(DesignConfig config)`